Subject: Re: linux-next: manual merge of the firmware tree with the tree

From: Takashi Iwai <[email-masked]>
Date: Mon, 02 Mar 2009 08:31:55 +0100

At Mon, 2 Mar 2009 14:11:06 +1100,
Stephen Rothwell wrote:
> 
> Hi David,
> 
> Today's linux-next merge of the firmware tree got a conflict in
> firmware/Makefile between commit 06e1f9ffa023c030bc87491e75f625f5da4e7d97
> ("tehuti: Use request_firmware()") from the net tree and commit
> f2fd247da0abaa330c39922aa1f6729eff051f73 ("ALSA: wavefront - Always use 
> request_firmware()") from the firmware tree.
> 
> Just overlapping additions.  I fixed it up (see below) and can carry the
> fix as necessary.
> 
> David, is there any chance that (some of) these changes could be
> distributed to their respective maintainers?

I'm fine to take the sound part patch (it originally came from me ;-)
but I guess it won't help to resolve the conflict with net tree?

thanks,

Takashi

> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
> 
> diff --cc firmware/Makefile
> index aa2e02d,bf8445e..0000000
> --- a/firmware/Makefile
> +++ b/firmware/Makefile
> @@@ -49,10 -55,9 +55,11 @@@ fw-shipped-$(CONFIG_SND_SB16_CSP) += sb
>   				     sb16/ima_adpcm_capture.csp
>   fw-shipped-$(CONFIG_SND_YMFPCI) += yamaha/ds1_ctrl.fw yamaha/ds1_dsp.fw \
>   				   yamaha/ds1e_ctrl.fw
> + fw-shipped-$(CONFIG_SND_WAVEFRONT) += yamaha/yss225_registers.bin
>  +fw-shipped-$(CONFIG_TEHUTI) += tehuti/bdx.bin
>   fw-shipped-$(CONFIG_TIGON3) += tigon/tg3.bin tigon/tg3_tso.bin \
>   			       tigon/tg3_tso5.bin
>  +fw-shipped-$(CONFIG_TYPHOON) += 3com/typhoon.bin
>   fw-shipped-$(CONFIG_USB_DABUSB) += dabusb/firmware.fw dabusb/bitstream.bin
>   fw-shipped-$(CONFIG_USB_EMI26) += emi26/loader.fw emi26/firmware.fw \
>   				  emi26/bitstream.fw
>